Adds Kconfig & Makefile support needed by dm-loop.patch
Signed-off-by: Bryn Reeves <breeves@redhat.com>
Index: linux-2.6.18-rc7/drivers/md/Kconfig
===================================================================
--- linux-2.6.18-rc7.orig/drivers/md/Kconfig	2006-10-13 17:10:21.000000000 +0100
+++ linux-2.6.18-rc7/drivers/md/Kconfig	2006-10-13 17:10:22.000000000 +0100
@@ -225,6 +225,15 @@ config DM_CRYPT
 
 	  If unsure, say N.
 
+config DM_LOOP
+        tristate "Loop target (EXPERIMENTAL)"
+        depends on BLK_DEV_DM && EXPERIMENTAL
+        ---help---
+          This device-mapper target allows you to treat a regular file as
+          a block device.
+
+          If unsure, say N.
+
 config DM_SNAPSHOT
        tristate "Snapshot target (EXPERIMENTAL)"
        depends on BLK_DEV_DM && EXPERIMENTAL
Index: linux-2.6.18-rc7/drivers/md/Makefile
===================================================================
--- linux-2.6.18-rc7.orig/drivers/md/Makefile	2006-10-13 17:10:21.000000000 +0100
+++ linux-2.6.18-rc7/drivers/md/Makefile	2006-10-13 17:10:22.000000000 +0100
@@ -31,6 +31,7 @@ obj-$(CONFIG_MD_FAULTY)		+= faulty.o
 obj-$(CONFIG_BLK_DEV_MD)	+= md-mod.o
 obj-$(CONFIG_BLK_DEV_DM)	+= dm-mod.o
 obj-$(CONFIG_DM_CRYPT)		+= dm-crypt.o
+obj-$(CONFIG_DM_LOOP)		+= dm-loop.o
 obj-$(CONFIG_DM_DELAY)		+= dm-delay.o
 obj-$(CONFIG_DM_MULTIPATH)	+= dm-multipath.o dm-round-robin.o
 obj-$(CONFIG_DM_MULTIPATH_EMC)	+= dm-emc.o
